This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 135107 - up2date enerates numerous warning messages
up2date enerates numerous warning messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 13:48 EDT by Joe Nicholls
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Nicholls 2004-10-08 13:48:26 EDT
Description of problem:  When running up2date from a command line,
numerous warning messages are being displayed in the command line
window.  It is not clear if these are problems or is the software
taking care of the issues such as "integer argument expected, got float".


Version-Release number of selected component (if applicable):
up2date-gnome-4.3.40-1
up2date-4.3.40-1


How reproducible:  This happens every time


Steps to Reproduce:
1.  start a terminal window
2.  execute the command> up2date
3.  watch terminal window as up2date walks through it's screens
  
Actual results:
[root@nichollslinux1 nicholls]# up2date
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.create_pixmap is deprecated, use
gtk.gdk.Pixmap instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)


Expected results:
[root@nichollslinux1 nicholls]#
{no extraneous output

Additional info:
Comment 1 David Keegel 2006-01-25 13:56:10 EST
I get the following with FC3 and up2date-4.3.47-5, up2date-gnome-4.3.47-5 :-

(up2date:19223): Gdk-WARNING **: DESKTOP_STARTUP_ID contains invalid UTF-8
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use gtk.
TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90: 
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90: 
GtkDeprecationWarning: gtk.create_pixmap is deprecated, use gtk.gdk.Pixmap 
instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90: 
GtkDeprecationWarning: gtk.mainiteration is deprecated, use gtk.main_iteration 
instead
  self.warn(message, DeprecationWarning)

** (up2date:19223): WARNING **: Invalid UTF8 string passed to 
pango_layout_set_text()

** (up2date:19223): WARNING **: Invalid UTF8 string passed to 
pango_layout_set_text()
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90: 
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  self.warn(message, DeprecationWarning)
Comment 2 John Thacker 2006-10-29 15:26:42 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 John Thacker 2006-10-29 16:57:37 EST
Changing version to correct version bug was filed against.  (Some were filed
against "test3" when they clearly are for FC3T2, a test for FC3.)
Comment 4 John Thacker 2006-11-05 11:27:26 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.